#ifndef __RD3_PACKETS_H
#define __RD3_PACKETS_H

void RD3_Config_Send_ACK(tUChar error);
void RD3_Info_Send_ACK(tUChar znak, tUChar param);
void RD3_SendPacket_ERR(tUChar error);
void Send_EOM(void);
tUChar TycoCRC(void);
void RD3_Out_ACS_HEX(void);
void RD3_Out_ACS_DEC(void);
void RD3_Out_TYCO(void);
void RD3_SendPacket_Card(void);
void RD3_SendPacket_Echo(tUChar znak);
void RD3_SendPacket_Id(void);
void RD3_SendPacket_Rele(void);
void RD3_SendPacket_Ctrl(void);
void RD3_SendPacket_Io(void);
void RD3_SendPacket_InputState(void);
void RD3_SendPacket_InputChange(void);
void RD3_SendPacket_WriteAck(void);	   
void RD3_SendPacket_ReadAck(void);
void RD3_SendPacket_MediumType(void);
void RD3_SendPacket_ACK(tUInt error);
void RD3_SendPacket_EE_BLOCK( tUChar block, tUChar* data);

#endif

